﻿using Hello.Business;
using ServiceStack;
using ServiceStack.Validation;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Web;

namespace Hello.Service
{
    public class AppHost : AppHostBase
    {
        public AppHost()
            : base("Hello Services", Assembly.GetExecutingAssembly())
        {
        }

        public override void Configure(Funq.Container container)
        {
            ServiceStack.Text.JsConfig.EmitCamelCaseNames = true;

            container.RegisterAutoWiredAs<RandomNumberGenerator, IRandomNumberGenerator>();

            Plugins.Add(new ValidationFeature());

            container.RegisterValidators(Assembly.GetExecutingAssembly());
        }
    }
}