﻿using Hello.ServiceModel;
using ServiceStack.FluentValidation;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Hello.Service.Validation
{
    public class RandomNumberValidator : AbstractValidator<GetRandomNumber>
    {
        public RandomNumberValidator()
        {
            RuleFor(ö => ö.LowerBound).GreaterThanOrEqualTo(0);
            RuleFor(ö => ö.UpperBound).LessThanOrEqualTo(100);
            RuleFor(o => o.LowerBound).LessThan(o => o.UpperBound);
        }
    }
}